petsc-3.4.2 2013-07-02

# SectionRealNorm

Computes the vector norm.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode  SectionRealNorm(SectionReal section, DM dm, NormType type, PetscReal *val)

Collective on Section

### Input Parameters

| section | - the real Section
| type | - one of NORM_1, NORM_2, NORM_INFINITY. Also available NORM_1_AND_2, which computes both norms and stores them in a two element array.

### Output Parameter

val -the norm

### Notes

        NORM_1 denotes sum_i |x_i|

        NORM_2 denotes sqrt(sum_i (x_i)^2)

        NORM_INFINITY denotes max_i |x_i|

### See Also

VecNorm(), SectionRealCreate()

Level:intermediate
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages